Batalla Naval gbnserver Remote Overflow

High Nessus Plugin ID 11651


The game server running on the remote host has a buffer overflow vulnerability.


The remote host is running Batalla Naval, a networked multiplayer battleship game.

This version has a remote buffer overflow vulnerability. A remote attacker could exploit this to crash the service, or possibly execute arbitrary code.


Disable this service, or only allow trusted systems to connect.

See Also

Plugin Details

Severity: High

ID: 11651

File Name: batalla_server_overflow.nasl

Version: $Revision: 1.15 $

Type: remote

Published: 2003/05/27

Modified: 2016/10/07

Dependencies: 11153

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/a:gnome:batalla_naval

Required KB Items: Settings/ParanoidReport

Vulnerability Publication Date: 2003/05/26

Reference Information

CVE: CVE-2003-0407

OSVDB: 6553